RagTime5ClusterManager::Cluster Struct Reference documentation

RagTime5ClusterManager::Cluster Struct Reference

the cluster data More...

`#include <RagTime5ClusterManager.hxx>`

Inheritance diagram for RagTime5ClusterManager::Cluster:

## Public Types
enum | Type { C_ColorPattern , C_FormulaDef , C_FormulaPos , C_Layout , C_Pipeline , C_Root , C_ClusterGProp , C_Sound , C_ButtonZone , C_ChartZone , C_GraphicZone , C_PictureZone , C_SpreadsheetZone , C_TextZone , C_GroupZone , C_ColorStyles , C_FormatStyles , C_GraphicStyles , C_TextStyles , C_UnitStyles , C_ClusterC , C_Empty , C_Unknown }
| the cluster type More...

## Public Member Functions
| Cluster (Type type)
| constructor
virtual | ~Cluster ()
| destructor

## Public Attributes
Type | m_type
| the cluster type
int | m_zoneId
| the zone id
bool | m_hiLoEndian
| the cluster hiLo endian
librevenge::RVNGString | m_name
| the cluster name (if know)
Link | m_childLink
| the child link
Link | m_parentLink
| the parent link
Link | m_dataLink
| the main data link
NameLink | m_nameLink
| the name link
Link | m_formulaLink
| the formula cluster links (def and pos)
std::vector< Link > | m_settingLinks
| the settings links
std::vector< Link > | m_linksList
| the link list
std::vector< int > | m_clusterIdsList
| the cluster ids
bool | m_isSent
| true if the cluster was send

## Detailed Description

the cluster data

## Member Enumeration Documentation

## ◆ Type

enum RagTime5ClusterManager::Cluster::Type

the cluster type

Enumerator
C_ColorPattern |
C_FormulaDef |
C_FormulaPos |
C_Layout |
C_Pipeline |
C_Root |
C_ClusterGProp |
C_Sound |
C_ButtonZone |
C_ChartZone |
C_GraphicZone |
C_PictureZone |
C_SpreadsheetZone |
C_TextZone |
C_GroupZone |
C_ColorStyles |
C_FormatStyles |
C_GraphicStyles |
C_TextStyles |
C_UnitStyles |
C_ClusterC |
C_Empty |
C_Unknown |

## Constructor & Destructor Documentation

## ◆ Cluster()

RagTime5ClusterManager::Cluster::Cluster | ( | Type | type | ) |
| inlineexplicit

constructor

Referenced by RagTime5GraphInternal::ClusterButton::ClusterButton(), RagTime5ChartInternal::ClusterChart::ClusterChart(), RagTime5GraphInternal::ClusterGraphic::ClusterGraphic(), RagTime5LayoutInternal::ClusterLayout::ClusterLayout(), RagTime5GraphInternal::ClusterPicture::ClusterPicture(), RagTime5PipelineInternal::ClusterPipeline::ClusterPipeline(), RagTime5ClusterManager::ClusterRoot::ClusterRoot(), RagTime5ClusterManagerInternal::ClusterSound::ClusterSound(), RagTime5SpreadsheetInternal::ClusterSpreadsheet::ClusterSpreadsheet(), and RagTime5TextInternal::ClusterText::ClusterText().

## ◆ ~Cluster()

RagTime5ClusterManager::Cluster::~Cluster | ( |  | ) |
| virtual

destructor

## Member Data Documentation

## ◆ m_childLink

Link RagTime5ClusterManager::Cluster::m_childLink

the child link

Referenced by Cluster().

## ◆ m_clusterIdsList

std::vector<int> RagTime5ClusterManager::Cluster::m_clusterIdsList

the cluster ids

Referenced by Cluster().

## ◆ m_dataLink

Link RagTime5ClusterManager::Cluster::m_dataLink

the main data link

Referenced by Cluster(), RagTime5Document::readClusterGProp(), RagTime5StyleManager::readFormats(), RagTime5StyleManager::readGraphicColors(), RagTime5Graph::readGraphicShapes(), RagTime5StyleManager::readGraphicStyles(), RagTime5StyleManager::readTextStyles(), and RagTime5Document::readUnknownClusterCData().

## ◆ m_formulaLink

Link RagTime5ClusterManager::Cluster::m_formulaLink

the formula cluster links (def and pos)

Referenced by Cluster(), and RagTime5Document::readClusterRootData().

## ◆ m_hiLoEndian

bool RagTime5ClusterManager::Cluster::m_hiLoEndian

the cluster hiLo endian

Referenced by Cluster(), RagTime5Document::readClusterRootData(), RagTime5Graph::readGraphicShapes(), RagTime5Text::readLinkZones(), RagTime5Text::readPLC(), RagTime5Text::readPLCToCharStyle(), and RagTime5Text::send().

## ◆ m_isSent

bool RagTime5ClusterManager::Cluster::m_isSent

true if the cluster was send

Referenced by Cluster(), RagTime5Graph::send(), RagTime5Graph::send(), RagTime5Graph::send(), and RagTime5Text::send().

## ◆ m_linksList

std::vector<Link> RagTime5ClusterManager::Cluster::m_linksList

the link list

Referenced by Cluster(), RagTime5Document::readClusterGProp(), RagTime5Document::readClusterRootData(), RagTime5Graph::readColorPatternZone(), RagTime5StyleManager::readFormats(), and RagTime5Document::readUnknownClusterCData().

## ◆ m_name

librevenge::RVNGString RagTime5ClusterManager::Cluster::m_name

the cluster name (if know)

Referenced by Cluster().

## ◆ m_nameLink

NameLink RagTime5ClusterManager::Cluster::m_nameLink

the name link

Referenced by Cluster(), RagTime5Document::readClusterGProp(), RagTime5StyleManager::readFormats(), RagTime5StyleManager::readGraphicColors(), RagTime5Graph::readGraphicShapes(), RagTime5StyleManager::readGraphicStyles(), and RagTime5StyleManager::readTextStyles().

## ◆ m_parentLink

Link RagTime5ClusterManager::Cluster::m_parentLink

the parent link

Referenced by Cluster().

## ◆ m_settingLinks

std::vector<Link> RagTime5ClusterManager::Cluster::m_settingLinks

the settings links

Referenced by Cluster(), and RagTime5Document::readClusterRootData().

## ◆ m_type

Type RagTime5ClusterManager::Cluster::m_type

the cluster type

Referenced by Cluster().

## ◆ m_zoneId

int RagTime5ClusterManager::Cluster::m_zoneId

the zone id

Referenced by Cluster(), RagTime5Document::readClusterRootData(), RagTime5Graph::send(), RagTime5Graph::send(), and RagTime5Text::send().

The documentation for this struct was generated from the following files:

- RagTime5ClusterManager.hxx
- RagTime5ClusterManager.cxx